Renew run lease
curl --request POST \
--url https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lease_duration_seconds": 152
}
'import requests
url = "https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease"
payload = { "lease_duration_seconds": 152 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({lease_duration_seconds: 152})
};
fetch('https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'lease_duration_seconds' => 152
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease"
payload := strings.NewReader("{\n \"lease_duration_seconds\": 152\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lease_duration_seconds\": 152\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lease_duration_seconds\": 152\n}"
response = http.request(request)
puts response.read_body{
"run": {
"run_id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"status": "pending",
"request_snapshot": {
"messages": [
{
"id": "<string>",
"role": "<string>",
"parts": [],
"metadata": {},
"createdAt": "<string>"
}
],
"agentSource": {
"type": "branch",
"branch": "<string>"
},
"taskId": "<string>",
"agentServiceId": "<string>",
"managedRuntimeSource": {
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceBinding": {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"sourceProject": {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectSlug": "<string>",
"runtimeTargetKind": "main_branch",
"runtimeTargetEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtimeTargetEnvironmentName": "<string>",
"runtimeTargetBranchName": "<string>",
"executionEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtimeTargetBranchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"agentSource": {
"type": "branch",
"branch": "<string>"
}
},
"tools": [],
"context": [],
"allowDelegation": true,
"agentConfig": {
"id": "<string>",
"name": "<string>",
"instructions": "<string>",
"description": "",
"thinking": {
"enabled": true,
"budgetTokens": 123
},
"model": "<string>",
"temperature": 1,
"maxSteps": 123,
"providerTools": [
"<string>"
],
"skills": true,
"knowledge": true,
"knowledgeSelector": true,
"tools": true,
"toolLoading": "eager",
"toolResultContext": true,
"deniedTools": [
"<string>"
],
"delegates": [
"<string>"
]
},
"serverResolvedPlatformTools": [
"<string>"
],
"localNonchargeAdmission": {
"canonicalModelId": "qwen/qwen3-1.7b",
"upstreamModelId": "<string>",
"servedHostId": "deployment-owned-local",
"veryfrontChargeUsd": "0"
},
"forwardedProps": {},
"integrationConnectionBindings": [],
"traceContext": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 127
},
"triggerPrincipal": {
"type": "system",
"id": "<string>"
},
"authorization": {}
},
"latest_event_id": 1,
"latest_external_event_sequence": 1,
"lease_owner": "<string>",
"lease_expires_at": "<string>",
"worker_session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "<string>",
"implementation_kind": "<string>",
"worker_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_key": "<string>",
"status": "active",
"created_at": "<string>",
"updated_at": "<string>",
"ended_at": "<string>",
"metadata": "<unknown>"
},
"canonical_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_kind": "project",
"source_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_release_version": "<string>",
"effective_deadline_at": "2023-11-07T05:31:56Z"
},
"credentials": {
"auth_token": "<string>",
"run_event_token": "<string>",
"run_terminal_token": "<string>"
}
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"cause": "schedule_concurrency_forbidden",
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"cause": "schedule_concurrency_forbidden",
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"cause": "schedule_concurrency_forbidden",
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"cause": "schedule_concurrency_forbidden",
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"cause": "schedule_concurrency_forbidden",
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"cause": "schedule_concurrency_forbidden",
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}Renew run lease
Renew a run lease.
POST
/
agent-workers
/
workers
/
{worker_id}
/
runs
/
{run_id}
/
lease
Renew run lease
curl --request POST \
--url https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lease_duration_seconds": 152
}
'import requests
url = "https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease"
payload = { "lease_duration_seconds": 152 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({lease_duration_seconds: 152})
};
fetch('https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'lease_duration_seconds' => 152
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease"
payload := strings.NewReader("{\n \"lease_duration_seconds\": 152\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lease_duration_seconds\": 152\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.veryfront.com/agent-workers/workers/{worker_id}/runs/{run_id}/lease")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lease_duration_seconds\": 152\n}"
response = http.request(request)
puts response.read_body{
"run": {
"run_id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"status": "pending",
"request_snapshot": {
"messages": [
{
"id": "<string>",
"role": "<string>",
"parts": [],
"metadata": {},
"createdAt": "<string>"
}
],
"agentSource": {
"type": "branch",
"branch": "<string>"
},
"taskId": "<string>",
"agentServiceId": "<string>",
"managedRuntimeSource": {
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceBinding": {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"sourceProject": {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectSlug": "<string>",
"runtimeTargetKind": "main_branch",
"runtimeTargetEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtimeTargetEnvironmentName": "<string>",
"runtimeTargetBranchName": "<string>",
"executionEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtimeTargetBranchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"agentSource": {
"type": "branch",
"branch": "<string>"
}
},
"tools": [],
"context": [],
"allowDelegation": true,
"agentConfig": {
"id": "<string>",
"name": "<string>",
"instructions": "<string>",
"description": "",
"thinking": {
"enabled": true,
"budgetTokens": 123
},
"model": "<string>",
"temperature": 1,
"maxSteps": 123,
"providerTools": [
"<string>"
],
"skills": true,
"knowledge": true,
"knowledgeSelector": true,
"tools": true,
"toolLoading": "eager",
"toolResultContext": true,
"deniedTools": [
"<string>"
],
"delegates": [
"<string>"
]
},
"serverResolvedPlatformTools": [
"<string>"
],
"localNonchargeAdmission": {
"canonicalModelId": "qwen/qwen3-1.7b",
"upstreamModelId": "<string>",
"servedHostId": "deployment-owned-local",
"veryfrontChargeUsd": "0"
},
"forwardedProps": {},
"integrationConnectionBindings": [],
"traceContext": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 127
},
"triggerPrincipal": {
"type": "system",
"id": "<string>"
},
"authorization": {}
},
"latest_event_id": 1,
"latest_external_event_sequence": 1,
"lease_owner": "<string>",
"lease_expires_at": "<string>",
"worker_session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "<string>",
"implementation_kind": "<string>",
"worker_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_key": "<string>",
"status": "active",
"created_at": "<string>",
"updated_at": "<string>",
"ended_at": "<string>",
"metadata": "<unknown>"
},
"canonical_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_kind": "project",
"source_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_release_version": "<string>",
"effective_deadline_at": "2023-11-07T05:31:56Z"
},
"credentials": {
"auth_token": "<string>",
"run_event_token": "<string>",
"run_terminal_token": "<string>"
}
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"cause": "schedule_concurrency_forbidden",
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"cause": "schedule_concurrency_forbidden",
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"cause": "schedule_concurrency_forbidden",
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"cause": "schedule_concurrency_forbidden",
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"cause": "schedule_concurrency_forbidden",
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"cause": "schedule_concurrency_forbidden",
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}Authorizations
agentWorkerAuthbearerAuthapiKeyAuth
The token returned by createAgentWorker, sent as Authorization: Bearer vfaw_... (or X-API-Key). It is bound to one worker and only accepted on that worker's heartbeat, claim, lease renewal and session operations.
Body
application/json
Required range:
5 <= x <= 300